---
description: Learn how to get started contributing Lando guides and tutorials
metaTitle: Getting Started Writing Lando Guides and Tutorials | Lando
title: Getting Started
---

# Getting Started Writing Guides

Guides are intended to fill in the gaps between our documentation and real world usage by providing concise, code-snippet-heavy content that answer specific technical questions.

You can think of them as glorified gists or less shitty and more curated Stack Overflow articles.

**So you wanna write a guide?** Holla! That's great because it's not very hard!

## What is a guide?

On the highest level, a guide should answer a very specific technical question such as the following:

> _How do I run Drupal 4.6 using Lando?_

This differs from the other documentation which is declarative and reads more like a technical manual and our blog which is for higher level, less technical content like case studies which are not Lando specific.

Good guides should have the following:

* Address _**only one**_ hyper-specific thing
* Be short and concise, like a glorified gist
* Revolve around code snippets, config or commands
* Show up as the first Google result
* Have complete and working source code in a repo

Titles for some good guides are shown below:

* _Running Drupal 4.6 in Lando_
* _Using Patternlab and Lando_
* _Getting a Lando proxy URL for the SOLR 7 web UI_
* _Setting up a custom Chromedriver service in Lando_

And titles for some things that might be better as blog posts or general documentation are as follows:

* _10 Reasons Lando is the Best Thing Ever_
* _Saving time and money with Lando_
* _Drupal 9 Lando Recipe_
* _Lando Tooling_

## What do I need to get started?

You will need to go through all the steps in our [Getting Involved](contributing) section if you have not done so already. This will get you rolling for contribution. All the steps from the aforementioned section for completeness are shown below:

1. [Join](./comms.md)
2. [Install Lando from source and activate secret toggle](./activate.md)
3. [Add yourself as a contributor](./first.md)
4. [Proceed to adding your first guide](./guides-add.md)

If you are having issues with any of the above or need some guidance from one of our guide pros, make sure you [join our Slack org](https://launchpass.com/devwithlando) and check out the **#community** and/or **#guiders** channels.

## What should I write?

If you do not have a specific guide in mind, you can always check to see if there are any [GitHub issues](https://github.com/lando/lando/labels/guide) that have been tagged `guide`. These issues are generally questions submitted by end users who are unsure how to do a specific thing in Lando.

You should also feel free to add any of your own guide ideas [over here](https://github.com/lando/lando/issues/new/choose). Note that you will want to select "Question" as the issue type.
